[arch-commits] Commit in gtkmathview/trunk (3 files)

Giovanni Scafora giovanni at archlinux.org
Wed Apr 1 14:07:43 EDT 2009


    Date: Wednesday, April 1, 2009 @ 14:07:42
  Author: giovanni
Revision: 32847

upgpkg: gtkmathview 0.8.0-1
    New version 0.8.0

Added:
  gtkmathview/trunk/gtkmathview-0.8.0-cond-t1.patch
  gtkmathview/trunk/gtkmathview-0.8.0-gcc43.patch
Modified:
  gtkmathview/trunk/PKGBUILD

---------------------------------+
 PKGBUILD                        |   24 +++++++++++-----
 gtkmathview-0.8.0-cond-t1.patch |   22 ++++++++++++++
 gtkmathview-0.8.0-gcc43.patch   |   56 ++++++++++++++++++++++++++++++++++++++
 3 files changed, 95 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-01 17:56:22 UTC (rev 32846)
+++ PKGBUILD	2009-04-01 18:07:42 UTC (rev 32847)
@@ -1,18 +1,28 @@
+# $Id$
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
 pkgname=gtkmathview
-pkgver=0.7.7
+pkgver=0.8.0
 pkgrel=1
 pkgdesc="C++ rendering engine for MathML documents"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://helm.cs.unibo.it/mml-widget/"
 license=('GPL')
-depends=('popt' 'gtk2' 't1lib' 'gmetadom>=0.2.4')
+depends=('popt' 'gtk2' 't1lib' 'gmetadom>=0.2.6')
 options=('!libtool')
-source=(http://helm.cs.unibo.it/mml-widget/sources/${pkgname}-${pkgver}.tar.gz)
-md5sums=('1640c4b1df4565fa502e41a8e60e0d73')
+source=(http://helm.cs.unibo.it/mml-widget/sources/${pkgname}-${pkgver}.tar.gz
+        gtkmathview-0.8.0-gcc43.patch
+        gtkmathview-0.8.0-cond-t1.patch)
+md5sums=('b53564e553728d4b69f7d366dfeb5299'
+         '554d7770a948bc76c9a6d8f3cc505ad2'
+         'a79a27e00908e75712bc9453b669fe61')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/gtkmathview-0.8.0-gcc43.patch || return 1
+  patch -Np1 -i ${srcdir}/gtkmathview-0.8.0-cond-t1.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir}/ install
 }

Added: gtkmathview-0.8.0-cond-t1.patch
===================================================================
--- gtkmathview-0.8.0-cond-t1.patch	                        (rev 0)
+++ gtkmathview-0.8.0-cond-t1.patch	2009-04-01 18:07:42 UTC (rev 32847)
@@ -0,0 +1,22 @@
+diff --exclude-from=/home/dang/.scripts/diffrc -up -ruN gtkmathview-0.8.0.old/src/backend/ps/PS_StreamRenderingContext.cc gtkmathview-0.8.0/src/backend/ps/PS_StreamRenderingContext.cc
+--- gtkmathview-0.8.0.old/src/backend/ps/PS_StreamRenderingContext.cc	2007-08-17 06:02:40.000000000 -0400
++++ gtkmathview-0.8.0/src/backend/ps/PS_StreamRenderingContext.cc	2008-06-26 14:46:31.000000000 -0400
+@@ -24,7 +24,6 @@
+ #include "PS_StreamRenderingContext.hh"
+ #include "String.hh"
+ #include "FontDataBase.hh"
+-#include "T1_FontDataBase.hh"
+ 
+ PS_StreamRenderingContext::PS_StreamRenderingContext(const SmartPtr<AbstractLogger>& logger,
+ 						     std::ostream& os,
+diff --exclude-from=/home/dang/.scripts/diffrc -up -ruN gtkmathview-0.8.0.old/src/backend/ps/PS_StreamRenderingContext.hh gtkmathview-0.8.0/src/backend/ps/PS_StreamRenderingContext.hh
+--- gtkmathview-0.8.0.old/src/backend/ps/PS_StreamRenderingContext.hh	2007-08-17 06:02:40.000000000 -0400
++++ gtkmathview-0.8.0/src/backend/ps/PS_StreamRenderingContext.hh	2008-06-26 14:46:31.000000000 -0400
+@@ -25,7 +25,6 @@
+ #include "PS_RenderingContext.hh"
+ #include "String.hh"
+ #include "FontDataBase.hh"
+-#include "T1_FontDataBase.hh"
+ 
+ class GMV_BackEnd_EXPORT PS_StreamRenderingContext : public PS_RenderingContext
+ {

Added: gtkmathview-0.8.0-gcc43.patch
===================================================================
--- gtkmathview-0.8.0-gcc43.patch	                        (rev 0)
+++ gtkmathview-0.8.0-gcc43.patch	2009-04-01 18:07:42 UTC (rev 32847)
@@ -0,0 +1,56 @@
+diff -urN gtkmathview-0.8.0-orig/mathmlps/main.cc gtkmathview-0.8.0/mathmlps/main.cc
+--- gtkmathview-0.8.0-orig/mathmlps/main.cc	2008-04-03 22:43:06.000000000 +0400
++++ gtkmathview-0.8.0/mathmlps/main.cc	2008-04-03 23:53:16.000000000 +0400
+@@ -20,6 +20,7 @@
+ 
+ #include <cassert>
+ #include <fstream>
++#include <cstring>
+ 
+ #include <popt.h>
+ 
+diff -urN gtkmathview-0.8.0-orig/mathmlsvg/main.cc gtkmathview-0.8.0/mathmlsvg/main.cc
+--- gtkmathview-0.8.0-orig/mathmlsvg/main.cc	2008-04-03 22:43:05.000000000 +0400
++++ gtkmathview-0.8.0/mathmlsvg/main.cc	2008-04-03 23:43:31.000000000 +0400
+@@ -20,6 +20,7 @@
+ 
+ #include <cassert>
+ #include <fstream>
++#include <cstring>
+ 
+ #include <popt.h>
+ 
+diff -urN gtkmathview-0.8.0-orig/mathmlsvg/SMS.cc gtkmathview-0.8.0/mathmlsvg/SMS.cc
+--- gtkmathview-0.8.0-orig/mathmlsvg/SMS.cc	2008-04-03 22:43:05.000000000 +0400
++++ gtkmathview-0.8.0/mathmlsvg/SMS.cc	2008-04-03 23:25:12.000000000 +0400
+@@ -19,6 +19,7 @@
+ #include <config.h>
+ 
+ #include <sstream>
++#include <cstring>
+ #include "defs.h"
+ #include "AbstractLogger.hh"
+ #include "ValueConversion.hh"
+diff -urN gtkmathview-0.8.0-orig/src/engine/mathml/mathVariantAux.cc gtkmathview-0.8.0/src/engine/mathml/mathVariantAux.cc
+--- gtkmathview-0.8.0-orig/src/engine/mathml/mathVariantAux.cc	2008-04-03 22:43:05.000000000 +0400
++++ gtkmathview-0.8.0/src/engine/mathml/mathVariantAux.cc	2008-04-03 23:10:05.000000000 +0400
+@@ -20,6 +20,8 @@
+ 
+ #include <cassert>
+ 
++#include <cstring>
++
+ #include "mathVariantAux.hh"
+ 
+ static MathVariantAttributes vattr[] = {
+diff -urN gtkmathview-0.8.0-orig/src/backend/ps/T1_FontDataBase.cc gtkmathview-0.8.0/src/backend/ps/T1_FontDataBase.cc
+--- gtkmathview-0.8.0-orig/src/backend/ps/T1_FontDataBase.cc	2007-08-17 12:02:40.000000000 +0200
++++ gtkmathview-0.8.0/src/backend/ps/T1_FontDataBase.cc		2008-06-07 12:26:01.000000000 +0200
+@@ -23,6 +23,7 @@
+ #include <stdlib.h>
+ #include <iostream>
+ #include <list>
++#include <cstring>
+ 
+ #include "String.hh"
+ #include "T1_FontDataBase.hh"



More information about the arch-commits mailing list